Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006324TestLinkAPI - XMLRPCpublic2014-05-07 07:582014-07-09 07:08
Reportermykaul 
Assigned Tofman 
PrioritynoneSeverityfeature requestReproducibilityalways
StatusclosedResolutionwon't fix 
PlatformOSOS Version
Product Version1.9.9 (2013 Q4 - bug fixing) 
Fixed in Version 
Summary0006324: Execution via API should (optionally?) set test execution to user
DescriptionCurrently, (did not test with http://mantis.testlink.org/view.php?id=6185 [^] yet!), when we execute via the API, everything works well - but as the test is not assigned to any user, it is not fully reported in all reports. We have to go and assign it post-execution, manually, via the GUI, to a user, so that it'll appear in all the statistics.
I believe this was requested in http://mantis.testlink.org/view.php?id=6184 [^] - but perhaps was not fully understood.
As far as I could understand, 6185 allows to define a specific user, not the API caller, as the executing tester. This does not solve the above problem - the test will still not be reported in all reports, if it was not previously assigned to that user (or later on, fixed by assigning to that user).
Steps To Reproduce1. Execute a test case via the API, using a specific key.
TagsNo tags attached.
Database (MySQL,Postgres,etc)mysql
Browserirrelevant
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships

-  Notes
(0020951)
fman (administrator)
2014-05-08 13:07

>>I believe this was requested in
>> http://mantis.testlink.org/view.php?id=6184 [^] [^] -
>> but perhaps was not fully understood.
IMHO this approach for a request is not polite.
With whate elements you said this?
If you have fully understood it, please explain it again with full details
(0020952)
fman (administrator)
2014-05-08 13:16

Next time please just do a feature request without any other kind of misleading and wrong considerations.

Feel free to implement your self and contribute code to community
(0020963)
mykaul (reporter)
2014-05-11 17:05

Explaining again:
Today you can, using the API, create a build, then execute a test, with a specific user, on that build. This is great, but since that test case was NOT assigned to that user (on that build or any other build), it will not be accounted for on some of the statistics (for example, it'll show in the charts, but not on the general test plan metrics. There is no way, from the API, to assign a test case to a user - before or after executing it.

Our current workaround is manually go to through every build, look for tests that either passed or failed there and that are not assigned, and mass-assign them to our 'automation' user.

As for 'feel free to implement' comment - I don't know PHP. Had it been other language, I might have been able to. All I can offer here are feature requests, bug reports and a bit of testing.
(0020964)
fman (administrator)
2014-05-11 17:13
edited on: 2014-05-11 17:16

I'm still waiting for the explanation regarding note 20951, but I'm sure I'm not going to get it.
I would like to be clear that do not like the kind of approach you have used when reporting the issue, that I will continue to consider unpolite.

I'm going to reject this feature request because i do not think is the right way to go.
API has to allow (when possible) same actions that can be done via GUI.
Via GUI you can not execute and assign at same time, I do not think is a good feature.

If some feature request can be done IMHO, is to have the assign test case execution method.


- Issue History
Date Modified Username Field Change
2014-05-07 07:58 mykaul New Issue
2014-05-08 13:07 fman Note Added: 0020951
2014-05-08 13:16 fman Note Added: 0020952
2014-05-08 13:17 fman QA Team - Task Workflow Status => TBD
2014-05-08 13:17 fman Priority high => none
2014-05-11 17:05 mykaul Note Added: 0020963
2014-05-11 17:13 fman Note Added: 0020964
2014-05-11 17:16 fman Note Edited: 0020964 View Revisions
2014-05-11 17:16 fman Note View State: 0020964: public
2014-05-11 17:16 fman Status new => closed
2014-05-11 17:16 fman Assigned To => fman
2014-05-11 17:16 fman Resolution open => won't fix
2014-07-09 07:08 shukla.vivek Tag Attached: mysql
2014-07-09 07:08 shukla.vivek Tag Detached: mysql



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker